% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i 3D Extensometer Link
% DatiExtensometer3D contiene le medie per l'intervallo definito 
% ARRAYdate contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [ARRAYdate_3DEL,DatiExtensometer3D] = MediaDati_3DEL(DatiExtensometer3D,Time3DEL,NdatiMedia,FileName)

text = 'MediaDati_3DEL function started';
fileID = fopen(FileName,'a');
fmt = '%s \r';
fprintf(fileID,fmt,text);

[r,~]=size(DatiExtensometer3D);
if NdatiMedia > r
    NdatiMedia = r;
end

%% Matrice date
ARRAYdate_3DEL = Time3DEL;

%% Accelerazione
DatiExtensometer3D = smoothdata(DatiExtensometer3D,'gaussian',NdatiMedia);

text = 'Average values for 3D Extensometer Link have been processed. MediaDati_3DEL function closed';
fprintf(fileID,fmt,text);
fclose(fileID);
end